gcc-2.95.3 question (lfs v5.0, chapter 5)

Gerard Beekmans gerard at linuxfromscratch.org
Fri Nov 14 10:53:14 PST 2003


On Fri, 2003-11-07 at 01:09, Stephane Charette wrote:
> where I'm about to install gcc 2.95.3.  But the page doesn't state if
> I need just core, or the whole damn thing.  Which of these needs to be
> downloaded:
> 
> 1) http://ftp.gnu.org/gnu/gcc/gcc-2.95.3/gcc-everything-2.95.3.tar.gz
> 
> 2) http://ftp.gnu.org/gnu/gcc/gcc-2.95.3/gcc-core-2.95.3.tar.gz
> 
> 3) http://ftp.gnu.org/gnu/gcc/gcc-2.95.3.tar.gz
> 
> (Looks like #1 and #3 are the same thing...?  My bet would be on #2.)

Sorry for the late reply. Yes for LFS book purposes you only need the
core package.

> My recommendation for future revisions to the LFS document:  state
> which part of the gcc package needs to be downloaded/extracted, the
> way it is specifically stated at
> http://www.linuxfromscratch.org/lfs/view/5.0/chapter05/gcc-pass1.html
> and
> http://www.linuxfromscratch.org/lfs/view/5.0/chapter05/gcc-pass2.html.

The reason it is stated there is because you offer all of gcc-3 packages
(core, g++ and testsuite) but not all of them are used at the same time.
It will be more appropriate to list gcc-core-2.95.3 in Chapter 4 - the
list of packages to download.

lfs-dev list has been CCed on this one for further discussion, though I
don't anticipate a problem with this. Any replies please to lfs-dev.

-- 
Gerard Beekmans
http://www.linuxfromscratch.org
http://www.beekmansworld.com

/* If Linux doesn't have the solution, you have the wrong problem */




More information about the lfs-support mailing list